package com.googlecode.mso.jinklevel;
import java.util.List;

/**
 * @author Serkan Kaba
 *
 */
public class JInkLevel {
	private static native List<Cartridge> listCartridges(int portType,String deviceFile,int portNumber) throws InkLevelException;
	
	
	/**
	 * Query printers for cartridges
	 * @param portType Port type of printer to be queried
	 * @param deviceFile Unix device filename or BJNP address of the printer to be queried
	 * @param portNumber Port number of the printer to be queried. Used when not querying by deviceFile
	 * @return Cartridges found in the queried printer or <code>null</code> on error.
	 * @throws InkLevelException
	 */
	public static List<Cartridge> listCartridges(PortType portType,String deviceFile,int portNumber) throws InkLevelException {
		return listCartridges(portType.ordinal()+1,deviceFile,portNumber);
	}

	@SuppressWarnings("unused")
	private static void addToList(List<Cartridge> list,Cartridge item) {
		list.add(item);
	}

	static {
		System.loadLibrary("jinklevel");
	}
}
