package com.googlecode.mso.jinklevel;

/**
 * @author Serkan Kaba
 *
 */
public enum PortType {
	
	/**
	 * Constant for parallel port.
	 */
	PARPORT,
	/**
	 * Constant for USB port.
	 */
	USB,
	/**
	 * Constant for custom parallel port. It's used when querying a parallel printer by device filename.
	 */
	CUSTOM_PARPORT,
	/**
	 * Constant for custom USB port. It's used when querying a USB printer by device filename.
	 */
	CUSTOM_USB,
	/**
	 * Constant for BJNP network port.
	 */
	BJNP,
	/**
	 * Constant for custom BJNP network port. It's used when querying a BJNP printer by address.
	 */
	CUSTOM_BJNP;
}
